package examples
// WARNING: this file was auto generated with cmd/gen_examples
import (
	"math/rand"
)
// dummy keeps go from complaining about math/rand being unused
func dummy() int {
	return rand.Intn(0)
}

// IrcUsernoticeAnnouncementAnnounce returns a /announce from web chat (2022-04-01)
func IrcUsernoticeAnnouncementAnnounce() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=cc5187bd-76d3-4bc5-8e7b-e43924be1ee3;login=mm2pl;mod=0;msg-id=announcement;msg-param-color=PRIMARY;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851015047;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :1"
}

// IrcUsernoticeAnnouncementAnnounceBlue returns a /announceblue from web chat (2022-04-01)
func IrcUsernoticeAnnouncementAnnounceBlue() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=aee253f8-dc95-46c5-8542-eafc10d40279;login=mm2pl;mod=0;msg-id=announcement;msg-param-color=BLUE;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851021013;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :2"
}

// IrcUsernoticeAnnouncementAnnounceGreen returns a /announcegreen from web chat (2022-04-02)
func IrcUsernoticeAnnouncementAnnounceGreen() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=9075af5d-1b6c-47b7-bcf0-530227ddc5fc;login=mm2pl;mod=0;msg-id=announcement;msg-param-color=GREEN;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851024444;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :3"
}

// IrcUsernoticeAnnouncementAnnounceOrange returns a /announceorange from web chat (2022-04-02)
func IrcUsernoticeAnnouncementAnnounceOrange() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=d8177a9e-1f9d-4f2e-aef0-c3f07109712e;login=mm2pl;mod=0;msg-id=announcement;msg-param-color=ORANGE;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851031736;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :4"
}

// IrcUsernoticeAnnouncementAnnouncePurple returns a /announcepurple from web chat (2022-04-02)
func IrcUsernoticeAnnouncementAnnouncePurple() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=4e10dc56-b238-452d-970d-da0fc43844a8;login=mm2pl;mod=0;msg-id=announcement;msg-param-color=PURPLE;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851036404;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :5"
}

// IrcUsernoticeAnnouncementIRCAnnounce returns a /announce from IRC (2022-04-02)
func IrcUsernoticeAnnouncementIRCAnnounce() string {
	return "@badge-info=;badges=broadcaster/1,glhf-pledge/1;color=#DAA520;display-name=Mm2PL;emotes=;flags=;id=a95f6c44-c7c2-4974-9281-edeb6f45db98;login=mm2pl;mod=0;msg-id=announcement;room-id=117691339;subscriber=0;system-msg=;tmi-sent-ts=1648851043023;user-id=117691339;user-type= :tmi.twitch.tv USERNOTICE #mm2pl :6-c2"
}

// RandomIrcUsernoticeAnnouncement returns a random example from IRC -> USERNOTICE -> Announcement
func RandomIrcUsernoticeAnnouncement() string {
	values := ExamplesIrcUsernoticeAnnouncement()
	return values[rand.Intn(len(values))]
}

// ExamplesIrcUsernoticeAnnouncement returns all examples from IRC -> USERNOTICE -> Announcement
func ExamplesIrcUsernoticeAnnouncement() []string {
	return []string{
		IrcUsernoticeAnnouncementAnnounce(),
		IrcUsernoticeAnnouncementAnnounceBlue(),
		IrcUsernoticeAnnouncementAnnounceGreen(),
		IrcUsernoticeAnnouncementAnnounceOrange(),
		IrcUsernoticeAnnouncementAnnouncePurple(),
		IrcUsernoticeAnnouncementIRCAnnounce(),
	}
}

// IrcPrivmsgFirstMsg returns a message with the `@first-msg=1` tag (2021-06-11)
func IrcPrivmsgFirstMsg() string {
	return "@badge-info=;badges=glhf-pledge/1;client-nonce=5d2627b0cbe56fa05faf5420def4807d;color=#1E90FF;display-name=oldcoeur;emote-only=1;emotes=84608:0-7;first-msg=1;flags=;id=7412fea4-8683-4cc9-a506-4228127a5c2d;mod=0;room-id=11148817;subscriber=0;tmi-sent-ts=1623429859222;turbo=0;user-id=139147886;user-type= :oldcoeur!oldcoeur@oldcoeur.tmi.twitch.tv PRIVMSG #pajlada :cmonBruh"
}

// IrcPrivmsgDisplayNameSpace returns a message sent by someone with strange display name which has a space at the end
func IrcPrivmsgDisplayNameSpace() string {
	return "@badges=;color=#00AD2B;display-name=Iamme420\\s;emotes=;id=d47a1e4b-a3c6-4b9e-9bf1-51b8f3dbc76e;mod=0;room-id=11148817;subscriber=0;tmi-sent-ts=1529670347537;turbo=0;user-id=56422869;user-type= :iamme420!iamme420@iamme420.tmi.twitch.tv PRIVMSG #pajlada :offline chat gachiBASS"
}

// IrcPrivmsgTypicalMessage returns a message with just text (2022-04-16)
func IrcPrivmsgTypicalMessage() string {
	return "@badge-info=subscriber/21;badges=subscriber/12,glhf-pledge/1;color=#666666;display-name=Felanbird;emotes=;first-msg=0;flags=6-10:S.5;id=93e240b7-a9d6-467a-a76b-6be9daa71886;mod=0;room-id=11148817;subscriber=1;tmi-sent-ts=1650135208171;turbo=0;user-id=22524109;user-type= :felanbird!felanbird@felanbird.tmi.twitch.tv PRIVMSG #pajlada :-tags penis"
}

// IrcPrivmsgConfusingRendering returns a message that was rendered incorrectly by Chatterino
func IrcPrivmsgConfusingRendering() string {
	return "@badge-info=subscriber/34;badges=moderator/1,subscriber/24;color=#FF0000;display-name=테스트계정420;emotes=41:6-13,15-22;flags=;id=a3196c7e-be4c-4b49-9c5a-8b8302b50c2a;mod=1;room-id=11148817;subscriber=1;tmi-sent-ts=1590922213730;turbo=0;user-id=117166826;user-type=mod :testaccount_420!testaccount_420@testaccount_420.tmi.twitch.tv PRIVMSG #pajlada :-tags Kreygasm,Kreygasm (no space)"
}

// RandomIrcPrivmsg returns a random example from IRC -> PRIVMSG
func RandomIrcPrivmsg() string {
	values := ExamplesIrcPrivmsg()
	return values[rand.Intn(len(values))]
}

// ExamplesIrcPrivmsg returns all examples from IRC -> PRIVMSG
func ExamplesIrcPrivmsg() []string {
	return []string{
		IrcPrivmsgFirstMsg(),
		IrcPrivmsgDisplayNameSpace(),
		IrcPrivmsgTypicalMessage(),
		IrcPrivmsgConfusingRendering(),
	}
}

// PubsubChatModeratorActionsUserBanned returns a message notifying of user `1xelerate` (ID: `140114344`) getting permabanned from `#mm2pl` by `mm2pl` (ID: `117691339`) (2021-11-20)
func PubsubChatModeratorActionsUserBanned() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"chat_moderator_actions.117691339.117691339\",\"message\":\"{\\\"type\\\":\\\"moderation_action\\\",\\\"data\\\":{\\\"type\\\":\\\"chat_login_moderation\\\",\\\"moderation_action\\\":\\\"ban\\\",\\\"args\\\":[\\\"1xelerate\\\",\\\"\\\"],\\\"created_by\\\":\\\"mm2pl\\\",\\\"created_by_user_id\\\":\\\"117691339\\\",\\\"created_at\\\":\\\"2021-11-20T00:12:23.282996104Z\\\",\\\"msg_id\\\":\\\"\\\",\\\"target_user_id\\\":\\\"140114344\\\",\\\"target_user_login\\\":\\\"\\\",\\\"from_automod\\\":false}}\"}}"
}

// RandomPubsubChatModeratorActions returns a random example from Pubsub -> Chat moderator actions
func RandomPubsubChatModeratorActions() string {
	values := ExamplesPubsubChatModeratorActions()
	return values[rand.Intn(len(values))]
}

// ExamplesPubsubChatModeratorActions returns all examples from Pubsub -> Chat moderator actions
func ExamplesPubsubChatModeratorActions() []string {
	return []string{
		PubsubChatModeratorActionsUserBanned(),
	}
}

// PubsubWhispersThreadUpdate returns a thread getting marked as read?
func PubsubWhispersThreadUpdate() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"whispers.117691339\",\"message\":\"{\\\"type\\\":\\\"thread\\\",\\\"data\\\":\\\"{\\\\\\\"id\\\\\\\":\\\\\\\"117691339_442600612\\\\\\\",\\\\\\\"last_read\\\\\\\":7272,\\\\\\\"archived\\\\\\\":false,\\\\\\\"muted\\\\\\\":false,\\\\\\\"spam_info\\\\\\\":{\\\\\\\"likelihood\\\\\\\":\\\\\\\"low\\\\\\\",\\\\\\\"last_marked_not_spam\\\\\\\":0},\\\\\\\"whitelisted_until\\\\\\\":\\\\\\\"2021-12-09T16:49:33Z\\\\\\\"}\\\",\\\"data_object\\\":{\\\"id\\\":\\\"117691339_442600612\\\",\\\"last_read\\\":7272,\\\"archived\\\":false,\\\"muted\\\":false,\\\"spam_info\\\":{\\\"likelihood\\\":\\\"low\\\",\\\"last_marked_not_spam\\\":0},\\\"whitelisted_until\\\":\\\"2021-12-09T16:49:33Z\\\"}}\"}}"
}

// PubsubWhispersSent returns a whisper getting sent from `Mm2PL` to `Mm_sUtilityBot`
func PubsubWhispersSent() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"whispers.117691339\",\"message\":\"{\\\"type\\\":\\\"whisper_sent\\\",\\\"data\\\":\\\"{\\\\\\\"message_id\\\\\\\":\\\\\\\"f1940a31-0dd3-4b09-91f0-f4e8ec2b8835\\\\\\\",\\\\\\\"id\\\\\\\":7272,\\\\\\\"thread_id\\\\\\\":\\\\\\\"117691339_442600612\\\\\\\",\\\\\\\"body\\\\\\\":\\\\\\\"_ping\\\\\\\",\\\\\\\"sent_ts\\\\\\\":1638895773,\\\\\\\"from_id\\\\\\\":117691339,\\\\\\\"tags\\\\\\\":{\\\\\\\"login\\\\\\\":\\\\\\\"mm2pl\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm2PL\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#DAA520\\\\\\\",\\\\\\\"emotes\\\\\\\":[],\\\\\\\"badges\\\\\\\":[{\\\\\\\"id\\\\\\\":\\\\\\\"glhf-pledge\\\\\\\",\\\\\\\"version\\\\\\\":\\\\\\\"1\\\\\\\"}]},\\\\\\\"recipient\\\\\\\":{\\\\\\\"id\\\\\\\":442600612,\\\\\\\"username\\\\\\\":\\\\\\\"mm_sutilitybot\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm_sUtilityBot\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#008000\\\\\\\"}}\\\",\\\"data_object\\\":{\\\"message_id\\\":\\\"f1940a31-0dd3-4b09-91f0-f4e8ec2b8835\\\",\\\"id\\\":7272,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"_ping\\\",\\\"sent_ts\\\":1638895773,\\\"from_id\\\":117691339,\\\"tags\\\":{\\\"login\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\",\\\"emotes\\\":[],\\\"badges\\\":[{\\\"id\\\":\\\"glhf-pledge\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":442600612,\\\"username\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\"}}}\"}}"
}

// PubsubWhispersReceived returns a whisper received from `Mm_sUtilityBot`
func PubsubWhispersReceived() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"whispers.117691339\",\"message\":\"{\\\"type\\\":\\\"whisper_received\\\",\\\"data\\\":\\\"{\\\\\\\"message_id\\\\\\\":\\\\\\\"4c0530f1-7de3-47e8-833c-e808759b1c70\\\\\\\",\\\\\\\"id\\\\\\\":7273,\\\\\\\"thread_id\\\\\\\":\\\\\\\"117691339_442600612\\\\\\\",\\\\\\\"body\\\\\\\":\\\\\\\"@mm2pl PONG! Bot has been running for 22:04:34 and is using 204.35MB of ram, 73 commands registered. 0 commands blacklisted in this channel.\\\\\\\",\\\\\\\"sent_ts\\\\\\\":1638895773,\\\\\\\"from_id\\\\\\\":442600612,\\\\\\\"tags\\\\\\\":{\\\\\\\"login\\\\\\\":\\\\\\\"mm_sutilitybot\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm_sUtilityBot\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#008000\\\\\\\",\\\\\\\"emotes\\\\\\\":[],\\\\\\\"badges\\\\\\\":[{\\\\\\\"id\\\\\\\":\\\\\\\"glitchcon2020\\\\\\\",\\\\\\\"version\\\\\\\":\\\\\\\"1\\\\\\\"}]},\\\\\\\"recipient\\\\\\\":{\\\\\\\"id\\\\\\\":117691339,\\\\\\\"username\\\\\\\":\\\\\\\"mm2pl\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm2PL\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#DAA520\\\\\\\"}}\\\",\\\"data_object\\\":{\\\"message_id\\\":\\\"4c0530f1-7de3-47e8-833c-e808759b1c70\\\",\\\"id\\\":7273,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"@mm2pl PONG! Bot has been running for 22:04:34 and is using 204.35MB of ram, 73 commands registered. 0 commands blacklisted in this channel.\\\",\\\"sent_ts\\\":1638895773,\\\"from_id\\\":442600612,\\\"tags\\\":{\\\"login\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\",\\\"emotes\\\":[],\\\"badges\\\":[{\\\"id\\\":\\\"glitchcon2020\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":117691339,\\\"username\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\"}}}\"}}"
}

// PubsubWhispersSentWithEmotes returns a whisper sent from `Mm2PL` to `Mm_sUtilityBot` with an emote inside
func PubsubWhispersSentWithEmotes() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"whispers.117691339\",\"message\":\"{\\\"type\\\":\\\"whisper_sent\\\",\\\"data\\\":\\\"{\\\\\\\"message_id\\\\\\\":\\\\\\\"f20b3391-58b6-4587-9a30-80d907ceb028\\\\\\\",\\\\\\\"id\\\\\\\":8306,\\\\\\\"thread_id\\\\\\\":\\\\\\\"117691339_442600612\\\\\\\",\\\\\\\"body\\\\\\\":\\\\\\\"test Kappa 123\\\\\\\",\\\\\\\"sent_ts\\\\\\\":1650136131,\\\\\\\"from_id\\\\\\\":117691339,\\\\\\\"tags\\\\\\\":{\\\\\\\"login\\\\\\\":\\\\\\\"mm2pl\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm2PL\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#DAA520\\\\\\\",\\\\\\\"emotes\\\\\\\":[{\\\\\\\"emote_id\\\\\\\":\\\\\\\"25\\\\\\\",\\\\\\\"start\\\\\\\":5,\\\\\\\"end\\\\\\\":9}],\\\\\\\"badges\\\\\\\":[{\\\\\\\"id\\\\\\\":\\\\\\\"glhf-pledge\\\\\\\",\\\\\\\"version\\\\\\\":\\\\\\\"1\\\\\\\"}]},\\\\\\\"recipient\\\\\\\":{\\\\\\\"id\\\\\\\":442600612,\\\\\\\"username\\\\\\\":\\\\\\\"mm_sutilitybot\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm_sUtilityBot\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#008000\\\\\\\"}}\\\",\\\"data_object\\\":{\\\"message_id\\\":\\\"f20b3391-58b6-4587-9a30-80d907ceb028\\\",\\\"id\\\":8306,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"test Kappa 123\\\",\\\"sent_ts\\\":1650136131,\\\"from_id\\\":117691339,\\\"tags\\\":{\\\"login\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\",\\\"emotes\\\":[{\\\"emote_id\\\":\\\"25\\\",\\\"start\\\":5,\\\"end\\\":9}],\\\"badges\\\":[{\\\"id\\\":\\\"glhf-pledge\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":442600612,\\\"username\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\"}}}\"}}"
}

// PubsubWhispersReceivedWithEmotes returns a whisper received from `Mm_sUtilityBot` with an emote inside
func PubsubWhispersReceivedWithEmotes() string {
	return "{\"type\":\"MESSAGE\",\"data\":{\"topic\":\"whispers.117691339\",\"message\":\"{\\\"type\\\":\\\"whisper_received\\\",\\\"data\\\":\\\"{\\\\\\\"message_id\\\\\\\":\\\\\\\"955d4707-79dc-4ab0-887e-404002e96e5c\\\\\\\",\\\\\\\"id\\\\\\\":8308,\\\\\\\"thread_id\\\\\\\":\\\\\\\"117691339_442600612\\\\\\\",\\\\\\\"body\\\\\\\":\\\\\\\"Kappa Keepo 123 asd\\\\\\\",\\\\\\\"sent_ts\\\\\\\":1650141273,\\\\\\\"from_id\\\\\\\":442600612,\\\\\\\"tags\\\\\\\":{\\\\\\\"login\\\\\\\":\\\\\\\"mm_sutilitybot\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm_sUtilityBot\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#008000\\\\\\\",\\\\\\\"emotes\\\\\\\":[{\\\\\\\"emote_id\\\\\\\":\\\\\\\"25\\\\\\\",\\\\\\\"start\\\\\\\":0,\\\\\\\"end\\\\\\\":4},{\\\\\\\"emote_id\\\\\\\":\\\\\\\"1902\\\\\\\",\\\\\\\"start\\\\\\\":6,\\\\\\\"end\\\\\\\":10}],\\\\\\\"badges\\\\\\\":[{\\\\\\\"id\\\\\\\":\\\\\\\"glitchcon2020\\\\\\\",\\\\\\\"version\\\\\\\":\\\\\\\"1\\\\\\\"}]},\\\\\\\"recipient\\\\\\\":{\\\\\\\"id\\\\\\\":117691339,\\\\\\\"username\\\\\\\":\\\\\\\"mm2pl\\\\\\\",\\\\\\\"display_name\\\\\\\":\\\\\\\"Mm2PL\\\\\\\",\\\\\\\"color\\\\\\\":\\\\\\\"#DAA520\\\\\\\"}}\\\",\\\"data_object\\\":{\\\"message_id\\\":\\\"955d4707-79dc-4ab0-887e-404002e96e5c\\\",\\\"id\\\":8308,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"Kappa Keepo 123 asd\\\",\\\"sent_ts\\\":1650141273,\\\"from_id\\\":442600612,\\\"tags\\\":{\\\"login\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\",\\\"emotes\\\":[{\\\"emote_id\\\":\\\"25\\\",\\\"start\\\":0,\\\"end\\\":4},{\\\"emote_id\\\":\\\"1902\\\",\\\"start\\\":6,\\\"end\\\":10}],\\\"badges\\\":[{\\\"id\\\":\\\"glitchcon2020\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":117691339,\\\"username\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\"}}}\"}}"
}

// RandomPubsubWhispers returns a random example from Pubsub -> Whispers
func RandomPubsubWhispers() string {
	values := ExamplesPubsubWhispers()
	return values[rand.Intn(len(values))]
}

// ExamplesPubsubWhispers returns all examples from Pubsub -> Whispers
func ExamplesPubsubWhispers() []string {
	return []string{
		PubsubWhispersThreadUpdate(),
		PubsubWhispersSent(),
		PubsubWhispersReceived(),
		PubsubWhispersSentWithEmotes(),
		PubsubWhispersReceivedWithEmotes(),
	}
}
