# Pubsub

## Chat moderator actions

- `UserBanned`: a message notifying of user `1xelerate` (ID: `140114344`) getting permabanned from `#mm2pl` by `mm2pl` (ID: `117691339`) (2021-11-20)
```json
{"type":"MESSAGE","data":{"topic":"chat_moderator_actions.117691339.117691339","message":"{\"type\":\"moderation_action\",\"data\":{\"type\":\"chat_login_moderation\",\"moderation_action\":\"ban\",\"args\":[\"1xelerate\",\"\"],\"created_by\":\"mm2pl\",\"created_by_user_id\":\"117691339\",\"created_at\":\"2021-11-20T00:12:23.282996104Z\",\"msg_id\":\"\",\"target_user_id\":\"140114344\",\"target_user_login\":\"\",\"from_automod\":false}}"}}
```

TODO:
 - User unbanned
 - User timed out

## Whispers

- `ThreadUpdate`: a thread getting marked as read?

```json
{"type":"MESSAGE","data":{"topic":"whispers.117691339","message":"{\"type\":\"thread\",\"data\":\"{\\\"id\\\":\\\"117691339_442600612\\\",\\\"last_read\\\":7272,\\\"archived\\\":false,\\\"muted\\\":false,\\\"spam_info\\\":{\\\"likelihood\\\":\\\"low\\\",\\\"last_marked_not_spam\\\":0},\\\"whitelisted_until\\\":\\\"2021-12-09T16:49:33Z\\\"}\",\"data_object\":{\"id\":\"117691339_442600612\",\"last_read\":7272,\"archived\":false,\"muted\":false,\"spam_info\":{\"likelihood\":\"low\",\"last_marked_not_spam\":0},\"whitelisted_until\":\"2021-12-09T16:49:33Z\"}}"}}
```

- `Sent`: a whisper getting sent from `Mm2PL` to `Mm_sUtilityBot`
```json
{"type":"MESSAGE","data":{"topic":"whispers.117691339","message":"{\"type\":\"whisper_sent\",\"data\":\"{\\\"message_id\\\":\\\"f1940a31-0dd3-4b09-91f0-f4e8ec2b8835\\\",\\\"id\\\":7272,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"_ping\\\",\\\"sent_ts\\\":1638895773,\\\"from_id\\\":117691339,\\\"tags\\\":{\\\"login\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\",\\\"emotes\\\":[],\\\"badges\\\":[{\\\"id\\\":\\\"glhf-pledge\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":442600612,\\\"username\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\"}}\",\"data_object\":{\"message_id\":\"f1940a31-0dd3-4b09-91f0-f4e8ec2b8835\",\"id\":7272,\"thread_id\":\"117691339_442600612\",\"body\":\"_ping\",\"sent_ts\":1638895773,\"from_id\":117691339,\"tags\":{\"login\":\"mm2pl\",\"display_name\":\"Mm2PL\",\"color\":\"#DAA520\",\"emotes\":[],\"badges\":[{\"id\":\"glhf-pledge\",\"version\":\"1\"}]},\"recipient\":{\"id\":442600612,\"username\":\"mm_sutilitybot\",\"display_name\":\"Mm_sUtilityBot\",\"color\":\"#008000\"}}}"}}
```

- `Received`: a whisper received from `Mm_sUtilityBot`
```json
{"type":"MESSAGE","data":{"topic":"whispers.117691339","message":"{\"type\":\"whisper_received\",\"data\":\"{\\\"message_id\\\":\\\"4c0530f1-7de3-47e8-833c-e808759b1c70\\\",\\\"id\\\":7273,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"@mm2pl PONG! Bot has been running for 22:04:34 and is using 204.35MB of ram, 73 commands registered. 0 commands blacklisted in this channel.\\\",\\\"sent_ts\\\":1638895773,\\\"from_id\\\":442600612,\\\"tags\\\":{\\\"login\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\",\\\"emotes\\\":[],\\\"badges\\\":[{\\\"id\\\":\\\"glitchcon2020\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":117691339,\\\"username\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\"}}\",\"data_object\":{\"message_id\":\"4c0530f1-7de3-47e8-833c-e808759b1c70\",\"id\":7273,\"thread_id\":\"117691339_442600612\",\"body\":\"@mm2pl PONG! Bot has been running for 22:04:34 and is using 204.35MB of ram, 73 commands registered. 0 commands blacklisted in this channel.\",\"sent_ts\":1638895773,\"from_id\":442600612,\"tags\":{\"login\":\"mm_sutilitybot\",\"display_name\":\"Mm_sUtilityBot\",\"color\":\"#008000\",\"emotes\":[],\"badges\":[{\"id\":\"glitchcon2020\",\"version\":\"1\"}]},\"recipient\":{\"id\":117691339,\"username\":\"mm2pl\",\"display_name\":\"Mm2PL\",\"color\":\"#DAA520\"}}}"}}
```

- `SentWithEmotes`: a whisper sent from `Mm2PL` to `Mm_sUtilityBot` with an emote inside
```json
{"type":"MESSAGE","data":{"topic":"whispers.117691339","message":"{\"type\":\"whisper_sent\",\"data\":\"{\\\"message_id\\\":\\\"f20b3391-58b6-4587-9a30-80d907ceb028\\\",\\\"id\\\":8306,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"test Kappa 123\\\",\\\"sent_ts\\\":1650136131,\\\"from_id\\\":117691339,\\\"tags\\\":{\\\"login\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\",\\\"emotes\\\":[{\\\"emote_id\\\":\\\"25\\\",\\\"start\\\":5,\\\"end\\\":9}],\\\"badges\\\":[{\\\"id\\\":\\\"glhf-pledge\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":442600612,\\\"username\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\"}}\",\"data_object\":{\"message_id\":\"f20b3391-58b6-4587-9a30-80d907ceb028\",\"id\":8306,\"thread_id\":\"117691339_442600612\",\"body\":\"test Kappa 123\",\"sent_ts\":1650136131,\"from_id\":117691339,\"tags\":{\"login\":\"mm2pl\",\"display_name\":\"Mm2PL\",\"color\":\"#DAA520\",\"emotes\":[{\"emote_id\":\"25\",\"start\":5,\"end\":9}],\"badges\":[{\"id\":\"glhf-pledge\",\"version\":\"1\"}]},\"recipient\":{\"id\":442600612,\"username\":\"mm_sutilitybot\",\"display_name\":\"Mm_sUtilityBot\",\"color\":\"#008000\"}}}"}}
```

- `ReceivedWithEmotes`: a whisper received from `Mm_sUtilityBot` with an emote inside
```json
{"type":"MESSAGE","data":{"topic":"whispers.117691339","message":"{\"type\":\"whisper_received\",\"data\":\"{\\\"message_id\\\":\\\"955d4707-79dc-4ab0-887e-404002e96e5c\\\",\\\"id\\\":8308,\\\"thread_id\\\":\\\"117691339_442600612\\\",\\\"body\\\":\\\"Kappa Keepo 123 asd\\\",\\\"sent_ts\\\":1650141273,\\\"from_id\\\":442600612,\\\"tags\\\":{\\\"login\\\":\\\"mm_sutilitybot\\\",\\\"display_name\\\":\\\"Mm_sUtilityBot\\\",\\\"color\\\":\\\"#008000\\\",\\\"emotes\\\":[{\\\"emote_id\\\":\\\"25\\\",\\\"start\\\":0,\\\"end\\\":4},{\\\"emote_id\\\":\\\"1902\\\",\\\"start\\\":6,\\\"end\\\":10}],\\\"badges\\\":[{\\\"id\\\":\\\"glitchcon2020\\\",\\\"version\\\":\\\"1\\\"}]},\\\"recipient\\\":{\\\"id\\\":117691339,\\\"username\\\":\\\"mm2pl\\\",\\\"display_name\\\":\\\"Mm2PL\\\",\\\"color\\\":\\\"#DAA520\\\"}}\",\"data_object\":{\"message_id\":\"955d4707-79dc-4ab0-887e-404002e96e5c\",\"id\":8308,\"thread_id\":\"117691339_442600612\",\"body\":\"Kappa Keepo 123 asd\",\"sent_ts\":1650141273,\"from_id\":442600612,\"tags\":{\"login\":\"mm_sutilitybot\",\"display_name\":\"Mm_sUtilityBot\",\"color\":\"#008000\",\"emotes\":[{\"emote_id\":\"25\",\"start\":0,\"end\":4},{\"emote_id\":\"1902\",\"start\":6,\"end\":10}],\"badges\":[{\"id\":\"glitchcon2020\",\"version\":\"1\"}]},\"recipient\":{\"id\":117691339,\"username\":\"mm2pl\",\"display_name\":\"Mm2PL\",\"color\":\"#DAA520\"}}}"}}
```
